Hello,

I am using Ubuntu 9.04, and had installed an older version of SBCL (1.0.18) from the Debian repositories. 

I recently built the newer SBCL version (1.0.38) from source, followed the directions available, and got it up and running.

I had tried to "debanize" the newer version of SBCL using the Debian CL Guidelines,
http://pkg-common-lisp.alioth.debian.org/clid/clid.html

but get the following error when I try to compile the ASDF system

; loading system definition from /usr/local/lib/sbcl/sb-grovel/sb-grovel.asd
; into #<PACKAGE "ASDF1">
; registering #<SYSTEM SB-GROVEL {B43E501}> as SB-GROVEL
;
; compilation unit aborted
;   caught 1 fatal ERROR condition
;
; compilation aborted because of fatal error:
;   SB-INT:SIMPLE-READER-PACKAGE-ERROR at 2095 (line 64, column 28) on #<SB-SYS:FD-STREAM
;                                                                        for "file /usr/share/common-lisp/source/common-lisp-controller/post-sysdef-install.lisp"
;                                                                        {B2CE281}>:
;     Symbol "UNIX-FILE-KIND" not found in the SB-UNIX package.
 

I'm still able to use ASDF on the older version of SBCL that was installed via the repositories.
How do I fix this problem?

Thanks in advance.